Get a presigned download URL for a document. The URL is valid for 5 minutes. Use this URL to download the actual document file directly.
Security
ApiKeyAuth
- https://api.pioneerft.com/apihttps://api.pioneerft.com/api/public/v1/documents/{id}/download
- https://api.staging.pioneerft.com/apihttps://api.staging.pioneerft.com/api/public/v1/documents/{id}/download
curl -i -X GET \
'https://api.pioneerft.com/api/public/v1/documents/{id}/download' \
-H 'Authorization: Bearer <YOUR_API Key_HERE>'Response
{ "data": { "id": "string", "name": "string", "type": "string", "size": 0, "category": "broker", "uploadedAt": "string", "requirement": { "id": "string", "name": "string", "status": "AWAITING_UPLOAD", "module": "string", "entityType": "loan", "entityID": "string", "period": "string" }, "downloadUrl": "string", "expiresAt": "string" } }